Bug 98232 - TB ProfileList:965:append: AttributeError: setParent
TB ProfileList:965:append: AttributeError: setParent
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i586 Linux
high Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-28 12:23 EDT by phil brogan
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 09:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description phil brogan 2003-06-28 12:23:32 EDT
Description of problem:

Launch NEAT and get unhandled exceptoin error as soon as the main dialog window
appears.


Version-Release number of selected component (if applicable):

redhat-config-network 1.0.4-2


How reproducible:

always


Steps to Reproduce:
1. Launch NEAT
2.
3.
    
Actual results:

Unhandled exception error occurred:

Traceback (innermost last):
  File "/usr/sbin/neat", line 1441, in ?
    window = mainDialog()
  File "/usr/sbin/neat", line 237, in __init__
    self.load()
  File "/usr/sbin/neat", line 276, in load
    self.loadProfiles()
  File "/usr/sbin/neat", line 285, in loadProfiles
    profilelist = getProfileList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 404, in getProfileList
    PFList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 91, in load
    prof.HostsList.append(host)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ProfileList.py",
line 965, in append
    item.setParent(self)
AttributeError: setParent

Local variables in innermost frame:
self: [<netconfpkg.genClass.Host instance at 84c1c90>]
item: <netconfpkg.genClass.Host instance at 84c1c90>



Expected results:

Anything but what I got


Additional info:

Note You need to log in before you can comment on or make changes to this bug.